Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.python.core
Class PyJavaInnerClass

    java.lang.Object
      |
      +--org.python.core.PyObject
            |
            +--org.python.core.PyClass
                  |
                  +--org.python.core.PyJavaClass
                        |
                        +--org.python.core.PyJavaInnerClass

All Implemented Interfaces:
  java.io.Serializable

public class PyJavaInnerClass
extends PyJavaClass

A wrapper around a java inner class.

See Also:
  Serialized Form

Field Summary
`PyJavaClass` | `parent`

Fields inherited from class org.python.core.PyJavaClass
`__class__, __init__, __mgr__`

Fields inherited from class org.python.core.PyClass
`__bases__, __dict__, __name__`

Constructor Summary
`PyJavaInnerClass(java.lang.Class c, PyJavaClass parent)`

Methods inherited from class org.python.core.PyJavaClass
`__call__, __delattr__, __dir__, __findattr__, __setattr__, __tojava__, getInternalTables, isLazy, lookup, lookup, toString`

Methods inherited from class org.python.core.PyClass
`__cmp__, __str__`

Methods inherited from class org.python.core.PyObject
`__abs__, __add__, __and__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __coerce__, __coerce_ex__, __complex__, __contains__, __delattr__, __delitem__, __delitem__, __delslice__, __delslice__, __div__, __divmod__, __eq__, __findattr__, __finditem__, __finditem__, __finditem__, __float__, __ge__, __getattr__, __getattr__, __getitem__, __getitem__, __getslice__, __getslice__, __gt__, __hash__, __hex__, __iadd__, __iand__, __idiv__, __idivmod__, __ilshift__, __imod__, __imul__, __int__, __invert__, __ior__, __ipow__, __irshift__, __isub__, __ixor__, __le__, __len__, __long__, __lshift__, __lt__, __mod__, __mul__, __ne__, __neg__, __nonzero__, __not__, __oct__, __or__, __pos__, __pow__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __repr__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rxor__, __setattr__, __setitem__, __setitem__, __setitem__, __setslice__, __setslice__, __sub__, __xor__, _add, _and, _callextra, _cmp, _div, _divmod, _dodel, _doget, _doget, _doset, _eq, _ge, _gt, _in, _is, _isnot, _jcall, _jcallexc, _jthrow, _le, _lshift, _lt, _mod, _mul, _ne, _notin, _or, _pow, _rshift, _sub, _xor, equals, hashCode, invoke, invoke, invoke, invoke, invoke, isCallable, isMappingType, isNumberType, isSequenceType, safeRepr`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### parent

    public PyJavaClass parent

Constructor Detail

### PyJavaInnerClass

    public PyJavaInnerClass(java.lang.Class c,
                            PyJavaClass parent)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage